net.dontdrinkandroot.persistence.filter

## Class NumericFilter<T>

- java.lang.Object
- - net.dontdrinkandroot.persistence.filter.AbstractFilter<T>
  - - net.dontdrinkandroot.persistence.filter.NumericFilter<T>

All Implemented Interfaces:
  Serializable, Filter<T>

    public class NumericFilter<T>
    extends AbstractFilter<T>

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`NumericFilter(String name, javax.persistence.metamodel.SingularAttribute<? super T,? extends Number> attribute, NumericOperator operator, Number literal)`

### Method Summary

Methods
`javax.persistence.criteria.Predicate` `createPredicate(javax.persistence.criteria.CriteriaBuilder builder, javax.persistence.criteria.Path<? extends T> root)`

### Methods inherited from class net.dontdrinkandroot.persistence.filter.AbstractFilter

`equals, getName, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NumericFilter

    public NumericFilter(String name,
                 javax.persistence.metamodel.SingularAttribute<? super T,? extends Number> attribute,
                 NumericOperator operator,
                 Number literal)

### Method Detail

#### createPredicate

    public javax.persistence.criteria.Predicate createPredicate(javax.persistence.criteria.CriteriaBuilder builder,
                                                       javax.persistence.criteria.Path<? extends T> root)